<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="tk.eclipse.plugin.struts"
   name="%plugin.name"
   version="1.1.4"
   provider-name="%plugin.provider"
   class="tk.eclipse.plugin.struts.StrutsPlugin">

   <runtime>
      <library name="strutsplugin.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.gef"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jdt"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="tk.eclipse.plugin.htmleditor"/>
   </requires>

   <!--====================================================-->
   <!-- struts-config.xmlエディタ -->
   <!--====================================================-->
   <extension
         point="org.eclipse.ui.editors">
      <editor
            filenames="struts-config.xml"
            icon="icons/struts_config.gif"
            class="tk.eclipse.plugin.struts.editors.MultiPageStrutsConfigEditor"
            contributorClass="tk.eclipse.plugin.struts.editors.MultiPageEditorContributor"
            name="%plugin.editor.strutsconfig"
            id="tk.eclipse.plugin.struts.editors.MultiPageEditor">
      </editor>
   </extension>
   
   <!--====================================================-->
   <!-- ウィザード -->
   <!--====================================================-->
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%plugin.wizard.category"
            id="tk.eclipse.plugin.struts">
      </category>
      <wizard
            name="%plugin.wizard.strutsJSP"
            icon="icons/webpage_mini.gif"
            category="tk.eclipse.plugin.struts"
            class="tk.eclipse.plugin.struts.wizards.JSPWizard"
            id="tk.eclipse.plugin.struts.wizards.JSPWizard">
      </wizard>
      <wizard
            name="%plugin.wizard.strutsAction"
            icon="icons/action_mini.gif"
            category="tk.eclipse.plugin.struts"
            class="tk.eclipse.plugin.struts.wizards.ActionWizard"
            id="tk.eclipse.plugin.struts.wizards.ActionWizard">
      </wizard>
      <wizard
            name="%plugin.wizard.strutsActionForm"
            icon="icons/bean_mini.gif"
            category="tk.eclipse.plugin.struts"
            class="tk.eclipse.plugin.struts.wizards.ActionFormWizard"
            id="tk.eclipse.plugin.struts.wizards.ActionFormWizard">
      </wizard>
      <wizard
            name="%plugin.wizard.strutsSupport"
            icon="icons/action_mappings_mini.gif"
            category="tk.eclipse.plugin.struts"
            class="tk.eclipse.plugin.struts.wizards.StrutsWizard"
            id="tk.eclipse.plugin.struts.wizards.StrutsWizard">
      </wizard>
   </extension>
   
   <!--====================================================-->
   <!-- ネイチャ -->
   <!--====================================================-->
   <extension
         id="StrutsProjectNature"
         name="StrutsProjectNature"
         point="org.eclipse.core.resources.natures">
      <requires-nature
            id="org.eclipse.jdt.core.javanature">
      </requires-nature>
      <runtime>
         <run
               class="tk.eclipse.plugin.struts.StrutsProjectNature">
         </run>
      </runtime>
   </extension>
   
   <!--====================================================-->
   <!-- StrutsProjectのプロパティ -->
   <!--====================================================-->
   <!--
   <extension
         id="tk.eclipse.plugin.struts.StrutsProjectPropertyPage"
         point="org.eclipse.ui.propertyPages">
      <page
            objectClass="org.eclipse.core.resources.IProject"
            name="%plugin.project"
            adaptable="true"
            class="tk.eclipse.plugin.struts.StrutsProjectPropertyPage"
            id="tk.eclipse.plugin.struts.StrutsProjectPropertyPage">
         <filter
               name="nature"
               value="tk.eclipse.plugin.struts.StrutsProjectNature">
         </filter>
      </page>
   </extension>
   -->
   
   <!--====================================================-->
   <!-- Struts HTMLタグのコンバータ -->
   <!--====================================================-->
   <extension
         point="tk.eclipse.plugin.htmleditor.customTagConverter">
      <contributer
            uri="http://jakarta.apache.org/struts/tags-html"
            class="tk.eclipse.plugin.struts.StrutsHTMLCustomTagConverterContributer"/>
      <contributer
            uri="http://struts.apache.org/tags-html"
            class="tk.eclipse.plugin.struts.StrutsHTMLCustomTagConverterContributer"/>
   </extension>
   <extension
         id="StrutsProjectBuilder"
         name="%plugin.builder"
         point="org.eclipse.core.resources.builders">
      <builder>
         <run class="tk.eclipse.plugin.struts.validator.StrutsProjectBuilder"/>
      </builder>
   </extension>
   <extension
         point="tk.eclipse.plugin.htmleditor.paletteItem">
      <contributer
            class="tk.eclipse.plugin.struts.StrutsHTMLPaletteContributer"
            name="Struts HTML"/>
   </extension>
   <extension
         point="tk.eclipse.plugin.htmleditor.fileAssistProcessor">
      <processor class="tk.eclipse.plugin.struts.StrutsFileAssistProcessor"/>
   </extension>
   <extension
         point="tk.eclipse.plugin.htmleditor.customTagAttributeAssist">
      <customTagAttributeAssist class="tk.eclipse.plugin.struts.StrutsAttributeAssist"/>
   </extension>
</plugin>
